package com.example.testes

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.util.Log
import android.widget.TextView
import androidx.fragment.app.Fragment
import com.example.testes.databinding.ActivityMainBinding
import org.json.JSONArray
import org.json.JSONException
import org.json.JSONObject

class MainActivity : AppCompatActivity() {

    private val url = "https://gelbooru.com/index.php?page=dapi&s=post&q=index&json=1&limit=18"
    lateinit var binding: ActivityMainBinding

    private fun imageListFromJson(json: JSONObject) {
        try {
            val array: JSONArray = json.getJSONArray("post")
            val list = BooruImage.listFromJsonArray(array)
            loadGrid(list)
            //Log.i("Image", list.toString())

        }
        catch (e: JSONException) {
            e.printStackTrace()
        }


    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityMainBinding.inflate(layoutInflater)
        setContentView(binding.root)
        Request.getRequest(
            this,
            url,
            ::imageListFromJson
        )
    }

    private fun loadGrid(images: List<BooruImage>) {
        val fragmentTransaction = supportFragmentManager.beginTransaction()
        fragmentTransaction.add(R.id.imageGridRecV, ImageGridFragment(images))
        fragmentTransaction.commit()
    }

}
